Subject: Re: Pricing structure
From: "Mike" <[email-masked]>
To: "Michael Grove" <[email-masked]>
Date: Thu, 21 Sep 2006 11:30:19 -0400

I do not anticipate that there will be additional price breaks being that we have the discounts built into the database already.  It is possible in the future but not probable.
  ----- Original Message ----- 
  From: Michael Grove 
  To: Mike 
  Sent: Thursday, September 21, 2006 11:23 AM
  Subject: Re: Pricing structure

  This would work, but the problem with this solution is that it is specific to certain items.  If new items are added or different quantity rules are added they would have to be manually added in the code.  For example if there was a different price break at a quantity of 10.

  If we build this capability into the system you could set many custom price breaks one a particular item using the interface.  The down side to doing things this was is that it will be a significant change to the system and will impact multiple areas.  It could probably be put in place with two days of dedicated development.

  Mike wrote: 
    What if it just alerted the rep to the quantity selected is over 5 and they chose either or both the wrong products (#256 & 258).  It seems that  these would be the pieces to put this check  in place.  Is there is probably more to it?
      ----- Original Message ----- 
      From: Michael Grove 
      To: Mike 
      Sent: Thursday, September 21, 2006 11:03 AM
      Subject: Re: Pricing structure

      I suspected this would become a problem eventually.  The real solution to this problem is to implement a pricing structure for products based on the quantity.  It will of course add an extra level of complexity to an item but would automatically handle these kinds of problems.

      Mike wrote: 
        Mike,
        I was wondering if you could build (just for FSCC orders) a "check" for the quantity entered.  For instance, if someone were to enter in 3 english & 3 spanish handwashing posters (or any combo higher than 5 posters), a check to make sure they grabbed the correct product.  What is happening is that the reps are putting in the quantities with the higher pricing and the numbers are off or the customer is being charged too much and then we are having to refund the customer for the difference.  If we can have the system only allow them to process the order when they have the correct item chosen, I think that would eliminate that problem.  This would only need to occur with the orders where the quantities would collectively equal 5 or more.  You might even want to build it in to have the system swap the products out.  English 1-4 would become english 5 or more and spanish 1-4 would become spanish 5 or more.  I am not sure but that might help regulate that error.  Let me know what you think.

        Michael Bishop
        Labor Law Poster Service
        Phone 877-321-4144
        Fax 888-442-4144
        [email-masked]